package com.psdc.service;

import com.psdc.entity.PsdcDevice;
import com.psdc.entity.vo.DeviceStatusVo;

import java.util.List;

public interface IPsdcDeviceService {

    /**
     * 通过ID查询单条数据
     *
     * @param deviceId 主键
     * @return 实例对象
     */
    PsdcDevice queryById(Integer deviceId);

    /**
     * 根据用户id查询设备列表
     * @return
     */
    List<PsdcDevice> queryByUserId();

    /**
     * 查询所有设备状态
     * @return
     */
    List<DeviceStatusVo> queryDeviceStatus();

    /**
     * 新增数据
     *
     * @param psdcDevice 实例对象
     * @return 实例对象
     */
    PsdcDevice insert(PsdcDevice psdcDevice);

    /**
     * 更新数据
     *
     * @param psdcDevice 实例对象
     * @return 实例对象
     */
    PsdcDevice update(PsdcDevice psdcDevice);
    /**
     * 通过主键删除数据
     *
     * @param deviceId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer deviceId);

    /**
     * 更新设备状态
     * @param deviceId
     * @param runStatus
     * @return
     */
    int updateDeviceRunStatus(Integer deviceId,Integer runStatus);

    /**
     * 控制设备启动停止
     * @param deviceId
     * @param runStatus
     * @return
     */
    int controlDeviceStartAndStop(Integer deviceId,Integer runStatus);

}
